<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * Class DangerLevel.
 *
 * @property int    $id
 * @property string $name
 * @property string $color
 * @property Danger $danger
 * @property int    $danger_id
 * @property string $description
 * @property int    $value
 */
class DangerLevel extends Model
{
    use HasFactory;
    use HasTimestamps;

    /**
     * Convert from value to points for calculations.
     *
     * @return int|void
     */
    public function getPointsAttribute()
    {
        return match ($this->value) {
            25 => 1,
            50 => 9,
            75 => 30,
            100 => 100,
            default => 0,
        };
    }
}
